## org.eclipse.m2m.atl.engine.emfvm.launch.debug
Class LocalObjectReference

    java.lang.Object
      org.eclipse.m2m.atl.debug.core.adwp.Value
          org.eclipse.m2m.atl.debug.core.adwp.ObjectReference
              org.eclipse.m2m.atl.engine.emfvm.launch.debug.LocalObjectReference

    public class LocalObjectReference

extends ObjectReference

The local implementation of an object reference.

Field Summary
`protected NetworkDebugger` `debugger`
`protected java.lang.Object` `object`

Fields inherited from class org.eclipse.m2m.atl.debug.core.adwp.ObjectReference
`id`

Constructor Summary
`protected` `LocalObjectReference(java.lang.Object object, int id, NetworkDebugger debugger)` Creates a new LocalObjectReference.

Method Summary
`Value` `call(java.lang.String opName, java.util.List<Value> args)` Calls an operation with the given arguments.
`Value` `get(java.lang.String propName)` Gets a value for the given property.
`java.lang.Object` `getObject()`
`static Value` `object2value(java.lang.Object o, NetworkDebugger debugger)` Converts an Object into a `Value`.
`void` `set(java.lang.String propName, Value value)` Sets a value for the given property.
`java.lang.String` `toString()`
`static ObjectReference` `valueOf(int objectId)` Returns the object reference matching the given id.
`static ObjectReference` `valueOf(java.lang.Object object, NetworkDebugger debugger)` Returns an object reference for the given object.

Methods inherited from class org.eclipse.m2m.atl.debug.core.adwp.ObjectReference
`getId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### object

    protected java.lang.Object object

### debugger

    protected NetworkDebugger debugger

Constructor Detail

### LocalObjectReference

    protected LocalObjectReference(java.lang.Object object,
                                   int id,
                                   NetworkDebugger debugger)

  Creates a new LocalObjectReference.

  Parameters:
    `object` - the object
    `id` - the objecct id
    `debugger` - the debugger

Method Detail

### getObject

    public java.lang.Object getObject()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ObjectReference`
  See Also:
    `ObjectReference.toString()`

### valueOf

    public static ObjectReference valueOf(int objectId)

  Returns the object reference matching the given id.

  Parameters:
    `objectId` - the object id
  Returns:
    the object reference matching the given id

### valueOf

    public static ObjectReference valueOf(java.lang.Object object,
                                          NetworkDebugger debugger)

  Returns an object reference for the given object.

  Parameters:
    `object` - the object
    `debugger` - the current debugger
  Returns:
    the object reference

### get

    public Value get(java.lang.String propName)

  Gets a value for the given property.

  Specified by:
    `get` in class `ObjectReference`
  Parameters:
    `propName` - the property name
  Returns:
    the value
  See Also:
    `ObjectReference.get(java.lang.String)`

### set

    public void set(java.lang.String propName,
                    Value value)

  Sets a value for the given property.

  Specified by:
    `set` in class `ObjectReference`
  Parameters:
    `propName` - the property name
    `value` - the value to set
  See Also:
    `ObjectReference.set(java.lang.String, org.eclipse.m2m.atl.debug.core.adwp.Value)`

### call

    public Value call(java.lang.String opName,
                      java.util.List<Value> args)

  Calls an operation with the given arguments.

  Specified by:
    `call` in class `ObjectReference`
  Parameters:
    `opName` - the operation name
    `args` - the arguments
  Returns:
    the operation call result
  See Also:
    `ObjectReference.call(java.lang.String, java.util.List)`

### object2value

    public static Value object2value(java.lang.Object o,
                                     NetworkDebugger debugger)

  Converts an Object into a `Value`.

  Parameters:
    `o` - the object
    `debugger` - the current debugger
  Returns:
    the `Value`

Copyright 2007 IBM Corporation and others. All Rights Reserved.